For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • API Reference
      • GETList Catalog Items
      • POSTTruemed Checkout Method
      • POSTCreate Catalog Item
      • POSTUpdate Catalog Item
      • POSTGet Catalog Item Details
      • POSTItem Eligibility Updated Webhook
LogoLogo
API ReferenceProduct Catalog

Update Catalog Item

POST
/api/v1/product_catalog/items/update
POST
/api/v1/product_catalog/items/update
1import requests
2
3url = "https://dev-api.truemed.com/api/v1/product_catalog/items/update"
4
5payload = {
6 "description": "Organic green tea leaves sourced from sustainable farms in Japan, offering a fresh and delicate flavor.",
7 "image_urls": ["https://cdn.truemed.com/products/green-tea-leaves-01.jpg", "https://cdn.truemed.com/products/green-tea-leaves-02.jpg"],
8 "name": "Premium Organic Green Tea Leaves",
9 "sku": "GT-ORG-001",
10 "url": "https://truemed.com/products/premium-organic-green-tea-leaves"
11}
12headers = {
13 "x-truemed-api-key": "<apiKey>",
14 "Content-Type": "application/json"
15}
16
17response = requests.post(url, json=payload, headers=headers)
18
19print(response.json())
1{}

Update an item in the product catalog. The product will not be immediately re-categorized.

Was this page helpful?
Previous

Get Catalog Item Details

Next
Built with

Authentication

x-truemed-api-keystring

Sales channel API key for merchant server-to-server authentication

Request

Request body for UpdateItemRequest
descriptionstringRequired
The description of the item.
image_urlslist of stringsRequired
An array of image URLs of the item.
namestringRequired
The name of the catalog item.
skustringRequired
The SKU of the catalog item.
urlstringRequired
The display page URL for the item.
gtinstring or nullOptional
The GTIN of the catalog item.
metadatastring or nullOptional
Optional metadata string for the catalog item.
product_idstring or nullOptional
The product ID of the product which this catalog item is a variant of.

Response

Successful response

Errors

400
Bad Request Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error
501
Not Implemented Error